org.apache.bcel.classfile

## Class ConstantMethodHandle

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantMethodHandle

- All Implemented Interfaces:
    Cloneable, Node

      public final class ConstantMethodHandle
      extends Constant

  This class is derived from the abstract `Constant` and represents a reference to a method handle.
  Since:
    6.0
  See Also:
    `Constant`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantMethodHandle(ConstantMethodHandle c)` Initialize from another object.
    `ConstantMethodHandle(int reference_kind, int reference_index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
    `void` | `dump(DataOutputStream file)` Dump method kind and index to file stream in binary format.
    `int` | `getReferenceIndex()`
    `int` | `getReferenceKind()`
    `void` | `setReferenceIndex(int reference_index)`
    `void` | `setReferenceKind(int reference_kind)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantMethodHandle

          public ConstantMethodHandle(ConstantMethodHandle c)

      Initialize from another object.

    - #### ConstantMethodHandle

          public ConstantMethodHandle(int reference_kind,
                                      int reference_index)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Dump method kind and index to file stream in binary format.
      Specified by:
        `dump` in class `Constant`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getReferenceKind

          public int getReferenceKind()

    - #### setReferenceKind

          public void setReferenceKind(int reference_kind)

    - #### getReferenceIndex

          public int getReferenceIndex()

    - #### setReferenceIndex

          public void setReferenceIndex(int reference_index)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Constant`
      Returns:
        String representation

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.